/* Security fix: self-host font assets instead of relying on unhashed third-party CSS.
   Replace these Roboto-based aliases with licensed local Adobe font binaries if they become available. */

@font-face {
    font-family: "Roboto";
    src: url("../fonts/roboto-latin.woff2") format("woff2");
    font-style: normal;
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: "Roboto";
    src: url("../fonts/roboto-latin.woff2") format("woff2");
    font-style: normal;
    font-weight: 700;
    font-display: swap;
}

@font-face {
    font-family: "Roboto";
    src: url("../fonts/roboto-italic-latin.woff2") format("woff2");
    font-style: italic;
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: "Roboto Mono";
    src: url("../fonts/roboto-mono-latin.woff2") format("woff2");
    font-style: normal;
    font-weight: 300;
    font-display: swap;
}

@font-face {
    font-family: "Roboto Mono";
    src: url("../fonts/roboto-mono-latin.woff2") format("woff2");
    font-style: normal;
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: "Roboto Mono";
    src: url("../fonts/roboto-mono-latin.woff2") format("woff2");
    font-style: normal;
    font-weight: 700;
    font-display: swap;
}

@font-face {
    font-family: "freight-sans-pro";
    src: url("../fonts/roboto-latin.woff2") format("woff2");
    font-style: normal;
    font-weight: 400;
    font-display: swap;
}

@font-face {
    font-family: "freight-sans-pro";
    src: url("../fonts/roboto-latin.woff2") format("woff2");
    font-style: normal;
    font-weight: 500;
    font-display: swap;
}

@font-face {
    font-family: "freight-text-pro";
    src: url("../fonts/roboto-latin.woff2") format("woff2");
    font-style: normal;
    font-weight: 500;
    font-display: swap;
}

@font-face {
    font-family: "neue-haas-unica";
    src: url("../fonts/roboto-latin.woff2") format("woff2");
    font-style: normal;
    font-weight: 400;
    font-display: swap;
}
